Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 973887 - [abrt] exaile-3.3.1-1.fc18.1: playlist.py:372:import_from_file:GError: Cannot resolve hostname (listen.radionomy.com)
[abrt] exaile-3.3.1-1.fc18.1: playlist.py:372:import_from_file:GError: Cannot...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:fe30915f0b61853ad081f622ba0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 00:13 EDT by Benson Shaji
Modified: 2014-02-05 16:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:48:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (963 bytes, text/plain)
2013-06-13 00:13 EDT, Benson Shaji
no flags Details
File: core_backtrace (472 bytes, text/plain)
2013-06-13 00:14 EDT, Benson Shaji
no flags Details
File: environ (2.52 KB, text/plain)
2013-06-13 00:14 EDT, Benson Shaji
no flags Details

  None (edit)
Description Benson Shaji 2013-06-13 00:13:53 EDT
Version-Release number of selected component:
exaile-3.3.1-1.fc18.1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/share/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
executable:     /usr/share/exaile/exaile.py
kernel:         3.9.4-200.fc18.i686
runlevel:       N 3
uid:            1000

Truncated backtrace:
playlist.py:372:import_from_file:GError: Cannot resolve hostname (listen.radionomy.com)

Traceback (most recent call last):
  File "/usr/share/exaile/xlgui/menu.py", line 69, in <lambda>
    get_main().controller.open_uri(uri))
  File "/usr/share/exaile/xlgui/__init__.py", line 151, in open_uri
    self._open_uri(uri, play)
  File "/usr/share/exaile/xlgui/__init__.py", line 162, in _open_uri
    playlist = playlist.import_playlist(uri)
  File "/usr/share/exaile/xl/playlist.py", line 133, in import_playlist
    return provider.import_from_file(path)
  File "/usr/share/exaile/xl/playlist.py", line 372, in import_from_file
    with closing(gio.DataInputStream(gio.File(path).read())) as stream:
GError: Cannot resolve hostname (listen.radionomy.com)

Local variables in innermost frame:
extinf: {}
path: u'http://listen.radionomy.com/tamburahindi.m3u'
playlist: <xl.playlist.Playlist object at 0xa525f6c>
self: <xl.playlist.M3UConverter object at 0x998bbec>
Comment 1 Benson Shaji 2013-06-13 00:13:57 EDT
Created attachment 760427 [details]
File: backtrace
Comment 2 Benson Shaji 2013-06-13 00:14:00 EDT
Created attachment 760428 [details]
File: core_backtrace
Comment 3 Benson Shaji 2013-06-13 00:14:04 EDT
Created attachment 760429 [details]
File: environ
Comment 4 Fedora End Of Life 2013-12-21 08:59:20 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 16:48:16 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.